<script lang="ts">
  import { GetEnvironmentsStore, type GetEnvironments$result } from "$houdini";
  import { Button, Dropdown, DropdownItem } from "flowbite-svelte";

  type colors = "blue" | "red" | "yellow" | "green" | "purple" | "light" | "dark" | "primary" | "none" | "alternative" | undefined;

  let clazz = "";
  export { clazz as class };
  export let color: colors = "blue";
  export let environment: GetEnvironments$result["environments"][0] | null = null;

  let store = new GetEnvironmentsStore();
</script>

{#await store.fetch()}
  loading...
{:then data}
  {#if !data?.data?.environments}
    No environments found
  {:else}
    <Button {color} class="{clazz || ''}">
      {#if environment}
        {environment.name}
      {:else}
        Select environment...
      {/if}
    </Button>
    <Dropdown>
      {#each data.data.environments as env}
        <DropdownItem on:click={() => environment = env}>
          {env.name} ({env.settings?.keycloak_realm})
        </DropdownItem>
      {/each}
    </Dropdown>
  {/if}
{/await}

